Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Class StopSituationImpl

    java.lang.Object
      org.eclipse.hyades.logging.events.SituationTypeImpl
          org.eclipse.hyades.logging.events.StopSituationImpl

All Implemented Interfaces:
  java.lang.Cloneable, ISituationType, IStopSituation, java.io.Serializable

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public class StopSituationImpl
extends SituationTypeImpl
implements IStopSituation, java.io.Serializable, java.lang.Cloneable

The StopSituation deals with the shutdown process for a component. Message that indicate that a component has begun to stop, that it has stopped, or that the stopping process has failed all fall into this category. Existing messages include words like stop, stopping, stopped, completed, and exiting, for example: `WSVR0220I: Application stopped: {0} WSVR0102E: An error occurred stopping, {0} MSGS0657I: Stopping the MQJD JMS Provider`

Since:
  1.0.1
Version:
  1.0.1
Author:
  Richard K. Duggan, Paul E. Slauenwhite
See Also:
  `IStopSituation`, `ISituationType`, Serialized Form

Field Summary
`protected java.lang.String` | `situationQualifier` Deprecated.
`protected java.lang.String` | `successDisposition` Deprecated.

Fields inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`reasoningScope`

Constructor Summary
`protected` | `StopSituationImpl()` Deprecated. No-argument protected constructor for StopSituationImpl.

Method Summary
`java.lang.Object` | `clone()` Deprecated. Return a clone (copy by value) of this object.
`boolean` | `equals(java.lang.Object object)` Deprecated. Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.
`java.lang.String` | `getSituationQualifier()` Deprecated. Returns the situationQualifier.
`java.lang.String` | `getSuccessDisposition()` Deprecated. Returns the successDisposition.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g.
`void` | `setSituationQualifier(java.lang.String situationQualifier)` Deprecated. Sets the situationQualifier.
`void` | `setSuccessDisposition(java.lang.String successDisposition)` Deprecated. Sets the successDisposition.

Methods inherited from class org.eclipse.hyades.logging.events.SituationTypeImpl
`getReasoningScope, setReasoningScope`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.hyades.logging.events.ISituationType
`getReasoningScope, setReasoningScope`

Field Detail

### successDisposition

    protected java.lang.String successDisposition

  Deprecated.

### situationQualifier

    protected java.lang.String situationQualifier

  Deprecated.

Constructor Detail

### StopSituationImpl

    protected StopSituationImpl()

  Deprecated.
  No-argument protected constructor for StopSituationImpl.

Method Detail

### getSuccessDisposition

    public java.lang.String getSuccessDisposition()

  Deprecated.
  Returns the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getSuccessDisposition` in interface `IStopSituation`
  Returns:
    String The returned successDisposition.
  Since:
    1.0.1

### getSituationQualifier

    public java.lang.String getSituationQualifier()

  Deprecated.
  Returns the situationQualifier. This property specifies the situation qualifiers that are representation of the parameters necessary to describe the situation. The situationQualifier is a string with the following set of values: STOP INITIATED ABORT INITIATED PAUSE INITIATED STOP COMPLETED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `getSituationQualifier` in interface `IStopSituation`
  Returns:
    String The returned situationQualifier.
  Since:
    1.0.1

### setSuccessDisposition

    public void setSuccessDisposition(java.lang.String successDisposition)

  Deprecated.
  Sets the successDisposition. This property specifies the success disposition of an operation of a situation that caused the situation to be reported. The successDisposition is a string with the following set of values: SUCCESSFUL UNSUCCESSFUL This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setSuccessDisposition` in interface `IStopSituation`
  Parameters:
    `successDisposition` - The successDisposition to be set.
  Since:
    1.0.1

### setSituationQualifier

    public void setSituationQualifier(java.lang.String situationQualifier)

  Deprecated.
  Sets the situationQualifier. This property specifies the situation qualifiers that are representation of the parameters necessary to describe the situation. The situationQualifier is a string with the following set of values: STOP INITIATED ABORT INITIATED PAUSE INITIATED STOP COMPLETED This is a REQUIRED property and once it is set it MUST NOT change. The string length for this property MUST NOT exceed 64 characters.

  Specified by:
    `setSituationQualifier` in interface `IStopSituation`
  Parameters:
    `situationQualifier` - The situationQualifier to be set.
  Since:
    1.0.1

### equals

    public boolean equals(java.lang.Object object)

  Deprecated.
  Overrides the `java.lang.Object`'s equals() API to determine if the parameter `object` is equal to this object.

  Overrides:
    `equals` in class `SituationTypeImpl`
  Parameters:
    `object` - The `java.lang.Object` to be compared to this object.
  Returns:
    true if this object is the same as the parameter `object`, false otherwise.
  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Deprecated.
  Return a clone (copy by value) of this object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `SituationTypeImpl`
  Returns:
    Object The clone of this object.
  Throws:
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Specified by:
    `init` in interface `ISituationType`
  Overrides:
    `init` in class `SituationTypeImpl`
  See Also:
    `ISituationType.init()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD